<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-bike-heading" jhiTranslate="bikeBackendApp.bike.home.createOrEditLabel">Create or edit a Bike</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.bike.model" for="field_model">Model</label>
                    <input type="text" class="form-control" name="model" id="field_model"
                           formControlName="model"/>
                    <div *ngIf="editForm.get('model')!.invalid && (editForm.get('model')!.dirty || editForm.get('model')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('model')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.bike.price" for="field_price">Price</label>
                    <input type="number" class="form-control" name="price" id="field_price"
                           formControlName="price"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.bike.serial" for="field_serial">Serial</label>
                    <input type="text" class="form-control" name="serial" id="field_serial"
                           formControlName="serial"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.bike.status" for="field_status">Status</label>
                    <input type="checkbox" class="form-control" name="status" id="field_status"
                           formControlName="status"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.bike.typeShockAbsorber" for="field_typeShockAbsorber">Type Shock Absorber</label>
                    <select class="form-control" name="typeShockAbsorber" formControlName="typeShockAbsorber" id="field_typeShockAbsorber">
                        <option value="RIGIDA">{{ 'bikeBackendApp.TypeShockAbsorber.RIGIDA' | translate }}</option>
                        <option value="HARDTAIL">{{ 'bikeBackendApp.TypeShockAbsorber.HARDTAIL' | translate }}</option>
                        <option value="FULL_SUSPENSION">{{ 'bikeBackendApp.TypeShockAbsorber.FULL_SUSPENSION' | translate }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
